Building up apache httpd on AIX - acquiring RPMs etc.

Login or Register for Dates, Times and to Reply

 
Thread Tools Search this Thread
# 1  
Question Building up apache httpd on AIX - acquiring RPMs etc.

[edit]pardon the [bork]ed URL refs but I'm not allowed to post URLs yet.
[edit] and the misspelling in the original thread title, which I can't edit even in 'advanced'

greetings all, posting this here rather than in Web Development since I suspect this is rather AIX-specific and will need some arcane knowledge, I bet people here have done what I'm trying to do.

Intro done - so I'm building up a fresh apache httpd 2.4.10 on an LPAR with AIX 7.1 TL 2 SP 0. I did it notably with GNU make and install, that made it all 'make;make install' clean and I can display pretty pictures in a browser (i.e. the basic server is responsive).

Now I want to make the beastie serve as a reverse proxy. Reading sources like [bork]apachetutor dir /admin/reverseproxies I learn that I need to have a bunch of proxy modules available.

Including mod_proxy_html and mod_xml2enc which the above cite indicates are "third party modules", are not built in my .../proxy dir but for which source is available in .../filters.

Here's where the "fun" starts. The above cite indicates that to build these modules I need /usr/include/libxml2, which I don't have, and reading the source for the above modules I find other headers which aren't available in the http build tree or in the system headers.

I also find that while I have /usr/lib/libxml2.a , it's symlinked to /usr/ccs/lib/libxml2.a and supplied by bos.rte.control (7.1.2.0). So I figure I should try to acquire libxml2{-devel} from the interwebs.

At [bork]oss4aix dir org/download/RPMS/libxml2/ I find libxml2{-devel}-2.9.1-1.aix51.ppc.rpm (presumably from Perzl) and in the [bork]IBM toolbox at dir systems/power/software/aix/linux/toolbox/alpha.html#X I find 2.6.21-4.

rpm -ivh on the 2.9.1-1 version from oss4aix I get
Code:
error: failed dependencies:
        libiconv >= 1.14-2 is needed by libxml2-2.9.1-1
        xz-libs >= 4.999.9 is needed by libxml2-2.9.1-1
        libiconv.a(libiconv.so.2) is needed by libxml2-2.9.1-1
        liblzma.a(liblzma.so.0) is needed by libxml2-2.9.1-1
        xz-devel >= 4.999.9 is needed by libxml2-devel-2.9.1-1

2.6.21-4 steps on /usr/lib/libxml2.a, which I'm not yet prepared to do (this is a production server and I'm really not going to blow away any dependencies I don't understand completely).

The Question (finally): I need a recipe to do this. I see a few possible scopes (from smallest to largest):
  • how to acquire/build the above collection of stuff, I've got all the right parts (and do I do that with only internet stuff (RPMs), or with some additional LPPs I need which deliver pieces needed for the above ?)
  • redoing my base http build with more options to ./configure, which will eliminate the need for hand-building these modules
  • taking a canned apache build from somewhere that has all the pieces built and just needs to be configured
For any of these, I need versions, RPM/LPP names and online sources, otherwise I'm just poking around in the dark like I'm doing right now by myself.

I'm new to building/configuring web servers (anywhere, including AIX) so pardon if it shows. Generally I have some skill (...) admin'ing and also building, so will be grateful for detailed/complex instructions if they get me to a built httpd which I can successfully configure as a reverse proxy.

Thanks in advance!

Last edited by maraixadm; 11-05-2014 at 12:22 AM.. Reason: misspelling in title
# 2  
Hi,

please check out the FAQ from Perzl.org AIX Open Source Packages | FAQs / FAQs (Frequently Asked Questions)

There are a bundle for libxml2, which should include all dependencies.

Regards,
Ron

PS: Welcome in the RPM dependency hell Smilie
# 3  
I ran into the same issue few months ago. But the below is very helpful
Easy way out.

I am taking your example of HTTP, but you can apply this to almost all the RPMs that you think exist on the face of the planet.

I used my NIM server to download all rpms. My OS was AIX71 (same as yours)

Go to AIX Open Source Packages | Main / AIX Open Source Packages (select your OS version) and download wget, why 'wget' because you will use that to download all the rpms.

Install the wget rpm on your NIM machine or your local machine.

Get dependencies list
From your browser
Go to "http://www.oss4aix.org/download/rpmdb/deplists/aix71" and make sure you are looking for right package and version you want to get the dependencies for, in your case it should be httpd-2.4.10-1.aix5.1.ppc.deps.
Now you know, what you are looking for, you can proceed with next step.

FROM NIM Server or your actual server where you are installing the Apache web server, do the below (The server should have wget rpm installed prior to doing this).

Downloaded the dependent RPMs list for HTTP
# wget http://www.oss4aix.org/download/rpmdb/deplists/aix71/httpd-2.4.10-1.aix5.1.ppc.deps --> this will download the list of all dependent RPMs to your local server (I used NIM).

Since you got all the dependent rpm names
You now run
wget -B Index of /download/everything/RPMS -i httpd-2.4.10-1.aix5.1.ppc.depsNote: It will download all the dependent RPMS with compatible versions to httpd-2.4.10-1

After this just run
rpm -ivh <rpm(s)> or write a loop to read and install all rpms from httpd-2.4.10-1.aix5.1.ppc.deps file. However you want to do it.

Its very simple way to download RPM and its dependencies.

I hope this helps.
This User Gave Thanks to ibmtech For This Post:
Login or Register for Dates, Times and to Reply

Previous Thread | Next Thread
Thread Tools Search this Thread
Search this Thread:
Advanced Search

9 More Discussions You Might Find Interesting

1. Linux

Apache httpd configuration - Issues with APR

Hi I have tried setting up of Apache http server - httpd-2.4.25. During configuration, I understand it needs APR to be setup. Hence I have downloaded APR & APR-Util. Performed, tar xvfC apr-1.5.2.tar /root/httpd-2.4.25/srclib/apr What is happening is there is another directory... (1 Reply)
Discussion started by: videsh77
1 Replies

2. UNIX for Dummies Questions & Answers

Locate which httpd.conf is used by Apache

What is the command to see what httpd.conf file is apache using. Apache is started. (1 Reply)
Discussion started by: galford
1 Replies

3. AIX

Apache httpd appear too many times on processes

Dear all experts, I have a environment with 2 web, 2 apps and 2 db servers. Recently after I have patch the AIX O/S from 5300-11-02 to 5300-12-02, we found that the number of httpd processes increase largely. From originally 4 fix httpd processes become more than 600 processes. And it already... (1 Reply)
Discussion started by: kwliew999
1 Replies

4. Red Hat

apache 2.2 httpd.conf

Hi, I was wondering if someone could help me out here. I am super-paranoid, so am trying to limit what PHP files can be executed on this server. I have a small list of files that I want to allow. The rest, deny: <Files ~ "\.(php|php3)$"> order allow,deny deny from all </Files> I... (0 Replies)
Discussion started by: Lobster
0 Replies

5. Red Hat

apache 2.2 httpd.conf

Hi, I was wondering if someone could help me out here. I am super-paranoid, so am trying to limit what PHP files can be executed on this server. I have a small list of files that I want to allow. The rest, deny. So I have base rule that denies all php files server-wide: order allow,deny ... (0 Replies)
Discussion started by: Lobster
0 Replies

6. Web Development

servername in apache httpd.conf

I'd like to know if servername in apache httpd.conf is the machine name or domain name. If it is domain name like example.com, should it be registered before in use? (1 Reply)
Discussion started by: yzhang738
1 Replies

7. UNIX for Dummies Questions & Answers

Building single rpm from 2 different rpms?

Hi all, I have to automate server installation. For this its needed to install 2 - 3 different RPMs. Is there any way of creating a single rpm from these two rpms? How the spec file will look like? thanks... (0 Replies)
Discussion started by: zing_foru
0 Replies

8. UNIX for Advanced & Expert Users

Building Apache httpd 2.2.15

Hi, What options should I use with ./configure to include mod_dav into the build? I use --enable-dav and I didn't see mod_dav.so anywhere in the build directory. I need to load mod_dav.so as a module during httpd startup. Thanks. (1 Reply)
Discussion started by: Parker_
1 Replies

9. Ubuntu

Apache 2 httpd.conf empty

Hi everybody, I have installed Apache 2 + Tomcat 5.5. on Ubuntu 7.04 and the default httpd.conf is empty (0 lines), however there is a file called apache2.conf that looks like a default httpd.conf. I didn't use Apache in ages, since 1.3.x release, but I remember that the httpd.conf by default... (2 Replies)
Discussion started by: sspirito
2 Replies

Featured Tech Videos